Get workflows
Server:
https://{kibana_url}
- GET /api/workflows
- GET /s/{space_id}/api/workflows
Refer to Spaces for more information.
Retrieve a paginated list of workflows with optional filtering.
[Required authorization] Route required privileges: workflowsManagement:read. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:read, workflowsManagement:readExecution, workflowsManagement:managed:readExecution.
Query Parameters
-
querystring Free-text search query.
-
sizenumber · min: 1 Number of results per page.
-
pagenumber · min: 1 Page number.
-
enabledboolean · max: 2 Filter by enabled state.
-
createdBystring · max: 1000 Filter by creator.
Filter by tags.
-
visibilityContextstring · max: 1000 When managed workflows are included, only return managed workflows visible in these contexts.
Response
200
application/json
Indicates a successful response